﻿body {
    padding-top: 60px;
    padding-bottom: 2px;
}

/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Override the default bootstrap behavior where horizontal description lists 
   will truncate terms that are too long to fit in the left column 
*/
.dl-horizontal dt {
    white-space: normal;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

.custom {
    background-color: dodgerblue;
    color: white;
    text-shadow: 2px 2px 1px black;
    font-size: 24pt;
}

.menu {
    background-color: lightgrey;
}

.navbar-inverse .navbar-nav > li > a {
    background-color: lightgrey;
    border: solid 0.5px black;
    height: 25px;
    color: black;
    width: 120px;
    padding-top: 3px;
    padding-bottom: 3px;
    text-align: center;
}

    .navbar-inverse .navbar-nav > li > a:hover {
        background-color: #FFFF88;
        color: black;
    }

.navbar-inverse .navbar-nav .active {
    background-color: #FFFF88;
    color: black;
}

.leftmenu-row {
    display: flex;
    justify-content: space-between;
}

/*
---------------------------------------------------------------------------------------
    ここから米沢水道の定義
*/

/* スマホなど狭い画面で開いた際にメインメニューが消えないように */
.navbar-collapse {
    display: block !important;
    height: auto !important;
    padding-right: 0;
    padding-left: 0;
    border-top: 0;
}

.navbar-nav {
    margin: 0;
    background-color: lightgray !important;
    float: left; /* これを入れないと1px余白が出来る */
}

.navbar-nav > li {
    float: left;
}

/*  Bootstrapのrowにはデフォルトで-15pxのmarginがかかっているが、幅を画面内に収めるため0に上書き*/
.row {
    margin-left: 0;
    margin-right: 0;
}

span .red {
    color: red;
}

span .blue {
    color: blue;
}

span .lime {
    color: lime;
}

span .cyan {
    color: cyan;
}

span .darkkhaki {
    color: darkkhaki;
}

span .magenta {
    color: magenta;
}

span .orange {
    color: orange;
}

span .maroon {
    color: maroon;
}

div .water-level {
    padding-left: 5px;
    padding-right: 5px;
}

.leftmenu-row .water-level {
    padding-bottom: 2px;
}

div .legend-title {
    text-align: center;
    border: solid 1px black;
    background: lightgray;
    font-size: 14pt;
    margin-left: 30px;
    margin-right: 30px;
}

div .legend {
    margin: 0px;
    margin-left: 40px;
    margin-right: 40px;
    padding: 2px;
}

div .i-normal {
    border: solid 1px black;
    background: white;
}

div .i-alert {
    border: solid 1px black;
    background: yellow;
}

div .i-warning {
    border: solid 1px black;
    background: red;
    color: white;
}

div .i-special-warning {
    border: solid 1px black;
    background: purple;
    color: white;
}

td.f-normal {
    background: yellow;
    border: solid 1px black;
}

td.f-danger {
    background: black;
    color: white;
    border: solid 1px black;
}

td.f-warning {
    background: purple;
    color: white;
    border: solid 1px black;
}

td.f-alert {
    background: darkorange;
    color: white;
    border: solid 1px black;
}

td.f-pdf {
    border: solid 1px black;
    text-align: center;
}

td.vigilance {
    font-size: 16pt;
    text-align: right;
    padding: 10px;
}

/*汎用*/
.align-right {
    text-align: right;
}

/**
 * DateTimePicker
*/
/* 色を指定しておかないとアイコンが見えない*/
.bootstrap-datetimepicker-widget .glyphicon {
    color: black !important;
}
/*カレンダーと時刻を横並びにしたときにスクロールバーが表示されないようにoverflowの設定変更*/
.bootstrap-datetimepicker-widget.dropdown-menu {
    overflow: visible;
}
/*時刻入力HH:mm:ssのコロンがデフォルトだと見づらいので太くする*/
.bootstrap-datetimepicker-widget .separator {
    font-size: 20px;
    font-weight: 600;
    color: black;
}

.picker-close:hover {
    background: none;
}

.alert {
    position: fixed;
    left: 0px;
    bottom: 0px;
    width: 100%;
    margin: 0.5em;
    z-index: 10;
}

.dropdown-menu {
    max-height: 1000%; /* you can change as you need it */
    overflow: auto; /* to get scroll */
}

/**
 * フッター
*/
.footer {
    position: fixed;
    left: 2px;
    bottom: 2px;
    /*    width: 100%;*/
    /* Set the fixed height of the footer here */
    height: 24px;
    background-color: white;
    font-size: 14pt;
}

body > .container {
    padding: 10px 5px 0;
}

.container .text-muted {
    margin: 10px 0;
}

.footer > .container {
    padding-bottom: 2px;
    padding-right: 5px;
    padding-left: 5px;
}

/*表中で非表示となっている項目の色*/
.cell-untoggled {
    background-color: #eceff0;
}

/*  ________フロー画面________  */
#selectGroup {
    width: 255px;
}

/*  ________グラフ画面________  */

.graph-dropdown-menu {
    border-spacing: 10px;
    text-align: left;
    font-size: 12pt;
    margin-top: 5px;
    margin-bottom: 4px;
    padding-right: 15px;
}

.graph-dropdown-menu tr {
    margin-top: 6px;
    margin-bottom: 6px;
    width: 100%;
}

.graph-dropdown-menu tr th {
    width: 7.4em;
    padding: 7px;
}

.graph-dropdown-menu tr th label {
    padding-left: 2px;
    min-width: 6.0em;
}

.graph-dropdown-menu tr td {
    min-width: 11em;
    padding: 7px;
}

#GraphHeadTbl table {
    margin: 1px;
}

#GraphHeadTbl td {
    padding: 1px;
}

#GraphHeadTbl th {
    text-align: center;
}

#GraphHeadTbl td.cell-right {
    text-align: right;
}

#GraphHeadTbl td.cell-center {
    text-align: center;
}

/*  ________データ日報画面________  */

#report-table {
    width: inherit;
    background-color: white;
}

div .bootstrap-table .fixed-table-container .fixed-table-body {
    overflow-x: auto;
    overflow-y: auto;
}

/* 見出しの書式調整 */
#report-table thead tr:nth-child(-n+2) th {
    border-width: 1px;
}

/* 列数にかかわらず1列目(見出し列)の横幅を固定する */
#report-table thead tr th:nth-child(1) {
    width: 118px;
    min-width: 118px;  /*これがないとウィンドウサイズ変更時に縮む*/
}

/* 左1列を見出しと同じ見た目に*/
#report-table tr td:nth-child(1) {
    background-color: #f5f5f5;
    font-weight: bold;
    border-right: solid 2px #ddd;
}

/*無用なスクロールバーを出さないように、ローディング表示を消しておく*/
#report-table-container .fixed-table-loading {
    display: none;
}

/*無用なボーダーを出さないように外枠を消しておく*/
#report-table-container .fixed-table-border {
    display:none;
}
